Summary:    A Fortran-77 to C translator
Name:       f2c
Version:    0.11
Release:    1
Group:      Development/Languages
Copyright:  AT&T Bell Labs and Bellcore
Packager:   Hao Li <hli@wag.caltech.edu>
Source0:    f2c.tar.gz
Source1:    libf2c-0.11.tar.gz
Source2:    Makefile.f2c
Patch:      f2c.patch
BuildRoot:  /var/tmp/%{name}-root

%description
Contains libf2c.so.0.11, ported by Rob Hooft. This package uses
an 'f77' script that hides the C translation process from the user.

yaf77 is bundled in this package.


%prep
%setup -q -n f2c -a 1
%patch -p0
cp %{SOURCE2} Makefile


%build
make compile


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,lib,man/man1}
make install DESTDIR=$RPM_BUILD_ROOT


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc changes disclaimer f2c.ps fc readme src/Notice src/README libf2c/hello.f
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT
